import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { CardModule } from '~/card/card.module';
import { CustomerModule } from '~/customer/customer.module';
import { NeoLeapWebhooksController } from './controllers/neoleap-webhooks.controller';
import { NeoTestController } from './controllers/neotest.controller';
import { NeoLeapService } from './services/neoleap.service';

@Module({
  imports: [HttpModule, CustomerModule, CardModule],
  controllers: [NeoTestController, NeoLeapWebhooksController],
  providers: [NeoLeapService],
})
export class NeoLeapModule {}
