import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddAddressFieldsToCustomers1747569536067 implements MigrationInterface {
  name = 'AddAddressFieldsToCustomers1747569536067';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "customers" ADD "country" character varying(255)`);
    await queryRunner.query(`ALTER TABLE "customers" ADD "region" character varying(255)`);
    await queryRunner.query(`ALTER TABLE "customers" ADD "city" character varying(255)`);
    await queryRunner.query(`ALTER TABLE "customers" ADD "neighborhood" character varying(255)`);
    await queryRunner.query(`ALTER TABLE "customers" ADD "street" character varying(255)`);
    await queryRunner.query(`ALTER TABLE "customers" ADD "building" character varying(255)`);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "building"`);
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "street"`);
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "neighborhood"`);
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "city"`);
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "region"`);
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "country"`);
  }
}
