import { INeoleapHeaderRequest } from './neoleap-header.request.interface';

export interface IInquireApplicationRequest extends INeoleapHeaderRequest {
  InquireApplicationRequestDetails: {
    ApplicationIdentifier: {
      InstitutionCode: string;
      ExternalApplicationNumber: string;
    };
    AdditionalData?: {
      ReturnApplicationType?: boolean;
      ReturnApplicationStatus?: boolean;
      ReturnAddresses?: boolean;
      ReturnBranch?: boolean;
      ReturnHistory?: boolean;
      ReturnCard?: boolean;
      ReturnCustomer?: boolean;
      ReturnAccount?: boolean;
      ReturnDirectDebitDetails?: boolean;
    };
    HistoryTypeFilterList?: number[];
  };
}
