import { MigrationInterface, QueryRunner } from "typeorm";

export class EditTransactionTable1752056898465 implements MigrationInterface {
    name = 'EditTransactionTable1752056898465'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "transactions" ADD "transaction_scope" character varying NOT NULL`);
        await queryRunner.query(`ALTER TABLE "transactions" ADD "vat_on_fees" numeric(12,2) NOT NULL DEFAULT '0'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "transactions" DROP COLUMN "vat_on_fees"`);
        await queryRunner.query(`ALTER TABLE "transactions" DROP COLUMN "transaction_scope"`);
    }

}
